Getting a HTTP authorization failure using subversion plugin

Issue

You are using the username and password authentication method over HTTP for Subversion but you are getting the error

svn: E200015: authentication cancelled

Environment

  • CloudBees Jenkins Enterprise
  • Subversion plugin 2.5

Resolution

This is a known issue in the Jenkins community: JENKINS-27084.  At time of writing, there is no fix for the plugin. The solution is to downgrade the plugin to the version 2.4.5.

If you had the version 2.4.5 installed before the upgrade, then in $JENKINS_URL/pluginManager/installed, you will be able to see a “downgrade to 2.4.5” button. After you restarted your instance, the problem will be solved.

If it was a fresh installation of the plugin, then you won’t have any “downgrade” button. After backing up, you will need to access the host of Jenkins, stop the Jenkins service and run the following commands:

  1. rm -rf $JENKINS_HOME/plugins/subversion*
  2. curl -L http://jenkins-updates.cloudbees.com/download/plugins/subversion/2.4.5/subversion.hpi -o $JENKINS_HOME/plugins/subversion.jpi

Make sure that the $JENKINS_HOME points to the correct folder in the server. Then you will be able to start your Jenkins instance, which will now have the subversion plugin in version 2.4.5.

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.